library PBMDDJ;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  MidasLib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_RTFun in '..\Z99Dependency\RTFunAndForm\Fun\U_RTFun.pas',
  U_ModuleNote in 'U_ModuleNote.pas' {frmModuleNote},
  U_DataLink in 'U_DataLink.pas' {DataLink_PBMDDJ: TDataModule},
  U_GYSList in 'U_GYSList.pas' {frmGYSList},
  U_ZDYHelpSel in 'U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_iniParam in 'U_iniParam.pas',
  U_ZDYHelp in 'U_ZDYHelp.pas' {frmZDYHelp},
  U_GYSSelList in 'U_GYSSelList.pas' {frmGYSSelList},
  U_DJBRKList2 in 'U_DJBRKList2.pas' {frmDJBRKList2},
  U_DJBCKInPut2 in 'U_DJBCKInPut2.pas' {frmDJBCKInPut2},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS},
  U_ProductOrderListSel in 'U_ProductOrderListSel.pas' {frmProductOrderListSel},
  U_DJBCKOutPut in 'U_DJBCKOutPut.pas' {frmDJBCKOutPut},
  U_PBCKKCList in 'U_PBCKKCList.pas' {frmPBCKKCList},
  U_DJBCKOutList in 'U_DJBCKOutList.pas' {frmDJBCKOutList},
  U_WJGCKKCHZList in 'U_WJGCKKCHZList.pas' {frmWJGCKKCHZList},
  U_ZdyAttachCP in 'U_ZdyAttachCP.pas' {frmZdyAttachCP},
  U_ZdyAttachment in 'U_ZdyAttachment.pas' {frmZdyAttachment},
  U_Fun in '..\Z99Dependency\ThreeFun\Fun\U_Fun.pas',
  U_SelExportField in '..\Z99Dependency\ThreeFun\Fun\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\Z99Dependency\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
//     Application:=NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

